#ifndef GRAPHICALASPECT_H
#define GRAPHICALASPECT_H

#include "raylib.h"
#include "networld.h"
#include "player.h"
#include "controlpanel.h"


//Graphical view
void Graphic_ShowPlayerInfo(Player * player, int screenWidth, int screenHeight, Font font);

void Graphic_RecrutementPhase(Player * player, int screenWidth, int screenHeight, Font font);
void Graphic_AttackPhase(Player * player, int screenWidth, int screenHeight, Font font);
void Graphic_WhoseTurnIsIt(Player * player, int screenWidth, int screenHeight, Font font);
Rectangle Graphic_ConfirmButton(Font font);
void Graphic_MouseHoverNodeRecrutement(Player * self, Vector2 mousePosition, Panel * panel);
void Graphic_MouseHoverNodeChooseAttacker(Player * player, Vector2 mousePosition, Panel * panel);
void Graphic_MouseHoverNodeChooseTarget(Node * originNode, Vector2 mousePosition, Panel * panel);
void Graphic_RectuementBeginTurn(int screenWidth, int screenHeight, Font font);
int Graphic_ChooseNumberOfAttackers(Player * attacker, Player * defender, Node * originNode, Node * targetNode, Font font);
void diceRolling(Player * attacker, Player * defender, Node * originNode, Node * targetNode, int nbOfAttackers, int * listOfDices, Font font);



#endif